Get All Back Office User Permissions

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.lsk.lightspeed.app/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Lightspeed Restaurant K-Series MCP server": {
  "url": "https://api-docs.lsk.lightspeed.app/mcp"
}
Close
GET /staff/v1/businessLocations/{businessLocationId}/userTypes/BACK_OFFICE/roles

Path parameters

  • businessLocationId integer(int64) Required

    The unique identifier for the business location.

Responses

  • 200 application/json

    User permissions List

    Hide response attributes Show response attributes object
    • data object
      Hide data attribute Show data attribute object
      • staff array[object]
        Hide staff attributes Show staff attributes object
        • value string

          The value of the user permission.

        • description string

          The description of the user permission.

    • page object
      Hide page attributes Show page attributes object
      • page integer

        The current page number.

      • size integer

        The number of elements in the page.

      • totalElements integer

        The total number of elements.

      • totalPages integer

        The total number of pages of results.

GET /staff/v1/businessLocations/{businessLocationId}/userTypes/BACK_OFFICE/roles
curl \
 --request GET 'https://api.trial.lsk.lightspeed.app/staff/v1/businessLocations/{businessLocationId}/userTypes/BACK_OFFICE/roles' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": {
    "staff": [
      {
        "value": "ROLE_MANAGER",
        "description": "POS user is a manager"
      }
    ]
  },
  "links": {
    "first": {
      "href": "https://api-trial.ikentoo.com/staff/v1/businessLocations/40570261078018/userTypes/POS?page=1&size=1&sort=userId,desc"
    },
    "self": {
      "href": "https://api-trial.ikentoo.com/staff/v1/businessLocations/40570261078018/userTypes/POS?page=1&size=1&sort=userId,desc"
    },
    "next": {
      "href": "https://api-trial.ikentoo.com/staff/v1/businessLocations/40570261078018/userTypes/POS?page=2&size=1&sort=userId,desc"
    },
    "last": {
      "href": "https://api-trial.ikentoo.com/staff/v1/businessLocations/40570261078018/userTypes/POS?page=5&size=1&sort=userId,desc"
    }
  },
  "page": {
    "page": 1,
    "size": 10,
    "totalElements": 100,
    "totalPages": 10
  }
}